/***************************************
	Auteur : Pierre Aubert
	Mail : pierre.aubert@lapp.in2p3.fr
	Licence : CeCILL-C
****************************************/
#include <iostream>
#include "hadamard_product.h"
int main(int argc, char** argv){
	size_t nbElement(100000000);
	std::vector<float> tabX, tabY, tabRes;
	tabRes.resize(nbElement);
	for(size_t i(0lu); i < nbElement; ++i){
		tabX.push_back(i*19lu%11);
		tabY.push_back(i*27lu%19);
	}
	hadamard_product(tabRes, tabX, tabY);
	std::cout << "x = " << tabX.front() << ", y = " << tabY.front() << ", res = " << tabRes.front() << std::endl;
	return 0;
}

